Skip to main content
GET
/
api
/
fleet
/
runs
/
{run_id}
Run Detail Route
curl --request GET \
  --url https://api.example.com/api/fleet/runs/{run_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "minion_id": "<string>",
  "jid": "<string>",
  "fun": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "pass_count": 123,
  "fail_count": 123,
  "change_count": 123,
  "total_count": 123,
  "duration_ms": 123,
  "blocked": true,
  "raw_result": {}
}

Documentation Index

Fetch the complete documentation index at: https://www.halite-app.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

run_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
minion_id
string
required
jid
string
required
fun
string
required
completed_at
string<date-time>
required
pass_count
integer
required
fail_count
integer
required
change_count
integer
required
total_count
integer
required
duration_ms
integer
required
blocked
boolean
required
raw_result
Raw Result · object
required